JBoss API: Class TyrexTxPropagationContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class TyrexTxPropagationContext

    java.lang.Object
      |
      +--org.jboss.tm.plugins.tyrex.TyrexTxPropagationContext

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class TyrexTxPropagationContext
extends java.lang.Object
implements java.io.Externalizable

This class wraps the OMG PropagationContext to be able to pass it via RMI. Currently we are only taking care of top-level transaction (no nested transactions) by sending via RMI only - timeout value - otid (@see org.omg.CosTransactions.otid_t - representation of Xid) - Coordinator's Proxy

Version:
  $Revision: 1.2.4.1 $
Author:
  Anatoly Akkerman
See Also:
  , Serialized Form

Field Summary
`protected CoordinatorRemoteInterface` | `coord`
`protected org.omg.CosTransactions.Coordinator` | `coordProxy`
`protected boolean` | `isNull`
`protected org.omg.CosTransactions.otid_t` | `otid`
`protected int` | `timeout`
`protected org.omg.CosTransactions.PropagationContext` | `tpc`

Constructor Summary
`` | `TyrexTxPropagationContext()`
`protected` | `TyrexTxPropagationContext(org.omg.CosTransactions.PropagationContext tpc)`

Method Summary
`protected org.omg.CosTransactions.PropagationContext` | `getPropagationContext()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timeout

    protected int timeout

### coord

    protected CoordinatorRemoteInterface coord

### otid

    protected org.omg.CosTransactions.otid_t otid

### isNull

    protected boolean isNull

### tpc

    protected org.omg.CosTransactions.PropagationContext tpc

### coordProxy

    protected org.omg.CosTransactions.Coordinator coordProxy

Constructor Detail

### TyrexTxPropagationContext

    public TyrexTxPropagationContext()

### TyrexTxPropagationContext

    protected TyrexTxPropagationContext(org.omg.CosTransactions.PropagationContext tpc)

Method Detail

### getPropagationContext

    protected org.omg.CosTransactions.PropagationContext getPropagationContext()

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.